summaryrefslogtreecommitdiffstats
path: root/src/etc/init.d/sysfs
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-04-26 20:20:19 (EDT)
committer P. J. McDermott <pjm@nac.net>2012-04-26 20:20:19 (EDT)
commite4199494aeda5760d823e2e73ae7f6527b902096 (patch)
treefa6c5130f1aefb8af3d35df2c7d60b00c093ac03 /src/etc/init.d/sysfs
parentf91e916cf044cb1d9512bf70dfa52b13145af666 (diff)
Write "networking", "mdev", and "sysfs" services.
Diffstat (limited to 'src/etc/init.d/sysfs')
-rw-r--r--src/etc/init.d/sysfs20
1 files changed, 20 insertions, 0 deletions
diff --git a/src/etc/init.d/sysfs b/src/etc/init.d/sysfs
new file mode 100644
index 0000000..e5e9508
--- /dev/null
+++ b/src/etc/init.d/sysfs
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ printf 'Mounting process and system filesystems... '
+ [ ! -e /proc/mounts ] && mount -t proc proc /proc
+ [ ! -e /sys/kernel ] && mount -t sysfs sysfs /sys
+ printf 'done.\n'
+ ;;
+ stop)
+ printf 'Unmounting process and system filesystems... '
+ [ -e /proc/mounts ] && umount /proc
+ [ -e /sys/kernel ] && umount /sys
+ printf 'done.\n'
+ ;;
+ *)
+ printf 'Usage: %s {start|stop}\n' "${0}" >&2
+ exit 1
+ ;;
+esac